Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Pet.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Pet.java	(revision a2060cbb8d0eb743b7af20503f51565aad7426cf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Pet.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -43,10 +43,10 @@
 
     @Column(name = "id_adoption")
-    private int adoptionId;
+    private Integer adoptionId;
 
     @Column(name = "id_shelter")
-    private int shelterId;
+    private Integer shelterId;
 
-    public Pet(String imageUrl, AgeGroup ageGroup, Size size, String breed, String name, Species species, Gender gender, boolean canBeFostered, int adoptionId, int shelterId) {
+    public Pet(String imageUrl, AgeGroup ageGroup, Size size, String breed, String name, Species species, Gender gender, boolean canBeFostered, Integer adoptionId, Integer shelterId) {
         this.imageUrl = imageUrl;
         this.ageGroup = ageGroup;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Post.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Post.java	(revision a2060cbb8d0eb743b7af20503f51565aad7426cf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Post.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -5,5 +5,4 @@
 
 import java.time.LocalDate;
-import java.util.Date;
 
 @Data
@@ -24,13 +23,13 @@
 
     @Column(name="id_pet", nullable = false)
-    private int petId;
+    private Integer petId;
 
     @Column(name="id_surendee")
-    private int surendeeId;
+    private Integer surendeeId;
 
     @Column(name="id_employee")
-    private int employeeId;
+    private Integer employeeId;
 
-    public Post(LocalDate dateCreated, String thumbnailUrl, int petId, int surendeeId, int employeeId) {
+    public Post(LocalDate dateCreated, String thumbnailUrl, Integer petId, Integer surendeeId, Integer employeeId) {
         this.dateCreated = dateCreated;
         this.thumbnailUrl = thumbnailUrl;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/exceptions/NonExistingArgumentsException.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/exceptions/NonExistingArgumentsException.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/exceptions/NonExistingArgumentsException.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -0,0 +1,7 @@
+package finki.paw5.model.exceptions;
+
+public class NonExistingArgumentsException extends Exception{
+    public NonExistingArgumentsException() {
+        super("There are empty fields for arguments");
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/repository/UserRepository.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/repository/UserRepository.java	(revision a2060cbb8d0eb743b7af20503f51565aad7426cf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/repository/UserRepository.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -5,5 +5,8 @@
 import org.springframework.stereotype.Repository;
 
+
 @Repository
 public interface UserRepository extends JpaRepository<User, Integer> {
+        User findByEmailAndPassword(String email, String password);
+        User findByEmail(String email);
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/AuthService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/AuthService.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/AuthService.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -0,0 +1,14 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.Adopter;
+import finki.paw5.model.entities.Employee;
+import finki.paw5.model.entities.User;
+
+import java.util.Optional;
+
+public interface AuthService {
+    User login (String email, String password);
+//    Adopter registerAdopter(String password, String repeatPassword, String name, String email, String telephone);
+//    Employee registerEmployee(String password, String repeatPassword, String name, String email, String telephone);
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision a2060cbb8d0eb743b7af20503f51565aad7426cf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -1,4 +1,8 @@
 package finki.paw5.service;
 
+import finki.paw5.model.entities.Pet;
+
 public interface PetService {
+
+    void save (Pet pet);
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision a2060cbb8d0eb743b7af20503f51565aad7426cf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -1,4 +1,13 @@
 package finki.paw5.service;
 
+import finki.paw5.model.entities.Post;
+import finki.paw5.model.enumerations.AgeGroup;
+import finki.paw5.model.enumerations.Gender;
+import finki.paw5.model.enumerations.Size;
+import finki.paw5.model.enumerations.Species;
+
 public interface PostService {
+
+    void save (Post post);
+
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AuthServiceImpl.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AuthServiceImpl.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AuthServiceImpl.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -0,0 +1,47 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.User;
+import finki.paw5.model.exceptions.NonExistingArgumentsException;
+import finki.paw5.repository.UserRepository;
+import finki.paw5.service.AuthService;
+import org.springframework.stereotype.Service;
+
+import java.time.LocalDate;
+import java.util.Objects;
+import java.util.Optional;
+
+@Service
+public class AuthServiceImpl implements AuthService {
+
+    private final UserRepository userRepository;
+
+    public AuthServiceImpl(UserRepository userRepository) {
+        this.userRepository = userRepository;
+    }
+
+    @Override
+    public User login(String email, String password) {
+
+        if(userRepository.findByEmailAndPassword(email, password)!=null){
+            return userRepository.findByEmailAndPassword(email,password);
+        }
+        return null;
+    }
+
+    /*
+    @Override
+    public Adopter registerAdopter(String password, String repeatPassword, String name, String email, String telephone) {
+        if (email == null || email.isEmpty() || password == null || password.isEmpty()) {
+            //throw new Exception();
+        }
+        if (!password.equals(repeatPassword)) {
+            //throw new Exception();
+        }
+        if (this.userRepository.findByEmail(email)!=null) {
+            //throw new Exception("Username exists:"+email);
+        }
+        User user = new User(LocalDate.now(), name, email, password, telephone);
+        return userRepository.save(user);
+    }
+    */
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision a2060cbb8d0eb743b7af20503f51565aad7426cf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -1,4 +1,5 @@
 package finki.paw5.service.implementation;
 
+import finki.paw5.model.entities.Pet;
 import finki.paw5.repository.PetRepository;
 import finki.paw5.service.PetService;
@@ -14,3 +15,7 @@
     }
 
+    @Override
+    public void save(Pet pet) {
+        this.petRepository.save(pet);
+    }
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java	(revision a2060cbb8d0eb743b7af20503f51565aad7426cf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PostServiceImplementation.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -1,4 +1,5 @@
 package finki.paw5.service.implementation;
 
+import finki.paw5.model.entities.Post;
 import finki.paw5.repository.PostRepository;
 import finki.paw5.service.PostService;
@@ -14,3 +15,8 @@
     }
 
+    @Override
+    public void save(Post post) {
+        this.postRepository.save(post);
+    }
+
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/HomeController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/HomeController.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/HomeController.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -0,0 +1,19 @@
+package finki.paw5.web.controllers;
+
+import org.springframework.stereotype.Controller;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+
+@Controller
+@RequestMapping("/home")
+public class HomeController {
+
+    @GetMapping
+    public String getHomePage(){
+        return "home";
+    }
+    @GetMapping("/aboutUs")
+    public String getSuccessPage(){
+        return "/aboutUs";
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/LoginController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/LoginController.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/LoginController.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -0,0 +1,49 @@
+package finki.paw5.web.controllers;
+
+import finki.paw5.model.entities.User;
+import finki.paw5.model.exceptions.NonExistingArgumentsException;
+import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+
+import finki.paw5.service.AuthService;
+import jakarta.servlet.http.HttpServletRequest;
+import org.springframework.web.bind.annotation.RequestParam;
+
+import java.util.Objects;
+
+@Controller
+@RequestMapping("/login")
+public class LoginController {
+
+    private final AuthService authService;
+
+    public LoginController(AuthService authService) {
+        this.authService = authService;
+    }
+
+    @GetMapping
+    public String register(){
+        return "/login";
+    }
+    @PostMapping
+    public String register(@RequestParam String email,  @RequestParam String password, HttpServletRequest request, Model model) throws NonExistingArgumentsException {
+
+        if(email==null || email.equals("") || Objects.equals(password, "") || password==null){
+            throw new NonExistingArgumentsException();
+        }
+        User user = authService.login(email,password);
+
+        if(user!=null){
+            request.getSession().setAttribute("user",user); //go smestuvam korisnikot vo sesija
+            return "redirect:/home";
+        }
+        else{
+            return "redirect:/login";
+        }
+
+
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision a2060cbb8d0eb743b7af20503f51565aad7426cf)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -1,6 +1,19 @@
 package finki.paw5.web.controllers;
 
+import finki.paw5.model.entities.Pet;
+import finki.paw5.model.entities.Post;
+import finki.paw5.model.enumerations.AgeGroup;
+import finki.paw5.model.enumerations.Gender;
+import finki.paw5.model.enumerations.Size;
+import finki.paw5.model.enumerations.Species;
+import finki.paw5.service.PetService;
 import finki.paw5.service.PostService;
 import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestParam;
+
+import java.time.LocalDate;
 
 @Controller
@@ -8,8 +21,36 @@
 
     private final PostService postService;
+    private final PetService petService;
 
-    public PostController(PostService postService) {
+    public PostController(PostService postService, PetService petService) {
         this.postService = postService;
+        this.petService = petService;
     }
 
+    @GetMapping("create-post")
+    public String get(Model model) {
+        //TODO: vakvo ama za lista so pets
+        //        List<Manufacturer> manufacturers = this.manufacturerService.findAll();
+        //        model.addAttribute("manufacturers", manufacturers);
+        return "create-post";
+    }
+
+    @PostMapping("submit-post")
+    public String savePost(@RequestParam(required = false) String name,
+                           @RequestParam String gender,
+                           @RequestParam String ageGroup,
+                           @RequestParam String size,
+                           @RequestParam String species,
+                           @RequestParam(required = false) String breed,
+                           @RequestParam(required = false) String imageUrl,
+                           @RequestParam(required = false) boolean canBeFostered) {
+
+        Pet pet = new Pet(imageUrl, AgeGroup.valueOf(ageGroup), Size.valueOf(size), breed, name, Species.valueOf(species), Gender.valueOf(gender), canBeFostered, null, 1);
+        this.petService.save(pet);
+
+        Post post = new Post(LocalDate.now(), imageUrl, pet.getId(), null, 10);//TODO: employee id da se zeme preku session user getid
+        this.postService.save(post);
+
+        return "redirect:/home";
+    }
 }
Index: Prototype Application/Paw5/src/main/resources/templates/aboutUs.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/aboutUs.html	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
+++ Prototype Application/Paw5/src/main/resources/templates/aboutUs.html	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -0,0 +1,46 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
+
+</head>
+<body xmlns:th="http://www.thymeleaf.org">
+<header>
+    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+        <div class="container">
+            <a class="navbar-brand" href="/home">Paw 5</a>
+            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+                    aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+                <span class="navbar-toggler-icon"></span>
+            </button>
+
+            <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+                <ul class="navbar-nav m-auto">
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/home/aboutUs">About us</a>
+                    </li>
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/login">Login</a>
+                    </li>
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/register">Register</a>
+                    </li>
+                </ul>
+            </div>
+        </div>
+    </nav>
+</header>
+<h1>About Us</h1>
+<div>
+    <h5 class="text-center text-danger">
+        You successfully logged in
+        <th:block  th:text="${session.user.getId()}"></th:block>
+    </h5>
+</div>
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/create-post.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/create-post.html	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
+++ Prototype Application/Paw5/src/main/resources/templates/create-post.html	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -0,0 +1,113 @@
+<!DOCTYPE html>
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:th="http://www.thymeleaf.org"
+      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
+      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
+<head>
+    <meta charset="UTF-8">
+    <title>Create a post</title>
+</head>
+<body>
+    <h1>Create post</h1>
+<form th:action="@{/submit-post}" method="post">
+
+    <div>
+        <label for="pet">Selet pet:</label>
+        <select id="pet">
+        </select>
+    </div>
+
+    <div>
+        <label for="newpet">Add new pet:</label>
+            <input id="newpet" name="newpet" placeholder="newpet" type="checkbox">
+    </div>
+
+    <div>
+        <label for="name">Name:</label>
+        <input type="text"
+               id="name"
+               name="name"
+               class="form-control"
+               placeholder="Enter name">
+    </div>
+
+    <div>
+        <label for="gender">Gender:</label>
+        <select id="gender"
+                name="gender"
+                class="form-control">
+            <option value = "MALE">male</option>
+            <option value = "FEMALE">female</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="ageGroup">Age Group:</label>
+        <select id="ageGroup"
+                name="ageGroup"
+                class="form-control">
+            <option value = "YOUNG">young</option>
+            <option value = "ADULT">adult</option>
+            <option value = "ELDER">elder</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="size">Size:</label>
+        <select id="size"
+                name="size"
+                class="form-control">
+            <option value = "XSMALL">extra small</option>
+            <option value = "SMALL">small</option>
+            <option value = "MEDIUM">medium</option>
+            <option value = "LARGE">large</option>
+            <option value = "XLARGE">extra large</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="species">Species:</label>
+        <select id="species"
+                name="species"
+                class="form-control">
+            <option value = "CAT">cat</option>
+            <option value = "DOG">dog</option>
+            <option value = "BIRD">bird</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="breed">Breed:</label>
+        <input type="text"
+               id="breed"
+               name="breed"
+               class="form-control"
+               placeholder="Enter breed" >
+    </div>
+
+    <div>
+        <label for="imageUrl">Image URL:</label>
+        <input type="text"
+               id="imageUrl"
+               name="imageUrl"
+               class="form-control"
+               placeholder="Enter image URL">
+        <!-- <label for="upload">Image:</label>
+        <input id="upload" type="file" accept="image/*">
+        <input type="submit">-->
+    </div>
+
+    <div>
+        <label for="canBeFostered">Can be fostered:</label>
+        <input type="checkbox"
+               id="canBeFostered"
+               name="canBeFostered"
+               class="form-control"
+               value=false>
+    </div>
+
+    <button id="submit" type="submit">Submit</button>
+
+</form>
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/home.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/home.html	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
+++ Prototype Application/Paw5/src/main/resources/templates/home.html	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -0,0 +1,46 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Home</title>
+  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
+</head>
+<body>
+<header>
+  <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+    <div class="container">
+      <a class="navbar-brand" href="/home">Paw 5</a>
+      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+              aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+        <span class="navbar-toggler-icon"></span>
+      </button>
+
+      <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+        <ul class="navbar-nav m-auto">
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/home/aboutUs">About us</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/login">Login</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/register">Register</a>
+          </li>
+        </ul>
+      </div>
+    </div>
+  </nav>
+</header>
+
+<div>
+  <h1>Welcome to Paw 5</h1>
+  <h3>Let's get started
+    <th:block  th:text="${session.user.getName()}"></th:block>
+  </h3>
+</div>
+
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/login.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/login.html	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
+++ Prototype Application/Paw5/src/main/resources/templates/login.html	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -0,0 +1,77 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+  <meta charset="UTF-8">
+  <title>Title</title>
+  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
+
+</head>
+<body xmlns:th="http://www.thymeleaf.org">
+<header>
+  <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+    <div class="container">
+      <a class="navbar-brand" href="/home">Paw 5</a>
+      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+              aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+        <span class="navbar-toggler-icon"></span>
+      </button>
+
+      <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+        <ul class="navbar-nav m-auto">
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/home/aboutUs">About us</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/login">Login</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/register">Register</a>
+          </li>
+        </ul>
+      </div>
+    </div>
+  </nav>
+</header>
+<div>
+
+  <form method="post" action="/login">
+    <h1>Login</h1>
+    <label for="email">Username:</label>
+    <input type="text" id="email" name="email"><br><br>
+
+    <label for="password">Password:</label>
+    <input type="password" id="password" name="password"><br><br>
+
+    <input id="button" type="submit" value="Submit">
+
+  </form>
+  <a href="/register" class="btn btn-block btn-light">Register here</a>
+</div>
+<style>
+  body{
+    color: darkslategray;
+  }
+  form{
+    background-color: bisque;
+    text-align: center;
+    padding: 20px;
+    border-radius: 20px;
+    width: 60%;
+  }
+  body{
+    font-family: Montserrat,serif;
+  }
+  #button{
+    background-color: cadetblue;
+    color: azure;
+    border: none;
+    height: 40px;
+    width: 80px;
+    border-radius: 20px;
+  }
+</style>
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/register.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/register.html	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
+++ Prototype Application/Paw5/src/main/resources/templates/register.html	(revision 3f5e4851fbac681e33c093a69a9b1634e6c410f3)
@@ -0,0 +1,162 @@
+<!DOCTYPE html>
+<html lang="en" xmlns:th="http://www.thymeleaf.org">
+<head>
+  <meta charset="UTF-8">
+  <title>Title</title>
+  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
+
+</head>
+<body>
+<header>
+  <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+    <div class="container">
+      <a class="navbar-brand" href="/home">Paw 5</a>
+      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+              aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+        <span class="navbar-toggler-icon"></span>
+      </button>
+
+      <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+        <ul class="navbar-nav m-auto">
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/home/aboutUs">About us</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/login">Login</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/register">Register</a>
+          </li>
+        </ul>
+      </div>
+    </div>
+  </nav>
+</header>
+<h3>You can take one or more roles on our site.</h3>
+<p>You want to adopt or foster a pet? - You are an adopter <br>
+  You want your pet to be adopted by another person? - You are a surendee <br>
+  You want to donate to an organisation protection animal rights? - You are a donor<br>
+  You work in one of our partner's shelters? - You are an employee <br>
+</p>
+<div>
+  <form method="post" action="/register"> <!--vaka e na aud-->
+    <h1>Register</h1>
+    <label for="name">Name and surname:</label>
+    <input type="text" id="name" name="name"><br><br>
+
+    <label for="email">Email:</label>
+    <input type="email" id="email" name="email"><br><br>
+
+    <label for="password">Password:</label>
+    <input type="password" id="password" name="password"><br><br>
+
+    <label for="repeatPassword">Repeat password:</label>
+    <input type="password" id="repeatPassword" name="repeatPassword"><br><br>
+
+    <label for="telephone">Telephone number:</label>
+    <input type="text" id="telephone" name="telephone"><br><br>
+
+
+    <!-- Employee -->
+    <label for="employee">Register as employee in a shelter</label>
+    <input type="checkbox" id="employee" name="employee" value="yes"><br><br>
+
+    <label for="shelter">From which organisation are you coming from?</label>
+    <select id="shelter" name="shelter" class="form-control">
+
+      <option
+              th:each="sh : ${shelters}"
+              th:value="${sh.getId()}"
+              th:text="${sh.getName()}">
+      </option>
+
+    </select>
+
+    <label for="position">Register as employee in a shelter</label>
+    <input type="text" id="position" name="position" value="yes"><br><br>
+
+
+    <!-- Adopter -->
+    <label for="adopter">Register as adopter</label>
+    <input type="checkbox" id="adopter" name="adopter" value="yes"><br><br>
+
+    <label for="freeTime">Free time:</label>
+    <select id="freeTime" name="freeTime">
+      <option value="LOW">low</option>
+      <option value="MEDIUM">medium</option>
+      <option value="HIGH">high</option>
+    </select><br><br>
+
+    <label for="funds">Finances:</label>
+    <select id="funds" name="funds">
+      <option value="LOW">low</option>
+      <option value="MEDIUM">medium</option>
+      <option value="HIGH">high</option>
+    </select><br><br>
+
+    <label for="hasOtherPets">You keep other pets</label>
+    <input type="checkbox" id="hasOtherPets" name="hasOtherPets" value="yes"> Yes <br><br>
+
+    <label for="hasKids">The adopted pet will have interaction with kids</label>
+    <input type="checkbox" id="hasKids" name="hasKids" value="yes"><br><br>
+
+    <label for="housing">Housing:</label>
+    <select id="housing" name="housing">
+      <option value="APARTMENT">apartment</option>
+      <option value="HOUSE">house</option>
+    </select><br><br>
+
+    <label for="physicalActivity">Physical activity:</label>
+    <select id="physicalActivity" name="physicalActivity">
+      <option value="LOW">low</option>
+      <option value="MEDIUM">medium</option>
+      <option value="HIGH">high</option>
+    </select><br><br>
+
+    <label for="willFoster">The adopted pet will have interaction with kids</label>
+    <input type="checkbox" id="willFoster" name="willFoster" value="yes"><br><br>
+
+    <!-- Donor -->
+    <label for="donor">Register as donor</label>
+    <input type="checkbox" id="donor" name="donor" value="yes"><br><br>
+
+    <label for="organisation">From which organisation are you coming from?</label>
+    <select id="organisation" name="organisation">
+      <option value="EVN">EVN</option>
+    </select><br><br>
+
+    <!-- Surendee -->
+    <label for="surendee">Register as surendee</label>
+    <input type="checkbox" id="surendee" name="surendee" value="yes"><br><br>
+
+    <input id="button" type="submit" value="Submit">
+  </form>
+</div>
+</body>
+<style>
+  body{
+    color: darkslategray;
+  }
+  form{
+    background-color: bisque;
+    text-align: center;
+    padding: 20px;
+    border-radius: 20px;
+    width: 60%;
+  }
+  body{
+    font-family: Montserrat,serif;
+  }
+  #button{
+    background-color: cadetblue;
+    color: azure;
+    border: none;
+    height: 40px;
+    width: 80px;
+    border-radius: 20px;
+  }
+</style>
+</html>
